## lxc 4.0.12

=== meson_options.txt ===
# -*- mode: meson -*-

option('tests', type : 'boolean', value: 'false',
       description : 'enable tests')

option('runtime-path', type : 'string', value : '/run',
       description : 'the runtime directory')

option('init-script', type : 'combo',
       choices : ['systemd', 'sysvinit', 'openrc', 'upstart'], value : 'systemd',
       description : 'init script')

option('apparmor-cache-dir', type : 'string', value : 'cache/lxc/apparmor',
       description : 'the AppArmor cache directory')

option('rootfs-mount-dir', type : 'string', value : 'lib/x86_64-linux-gnu/lxc',
       description : 'the rootfs mount directory')

option('cgroup-pattern', type : 'string', value : '',
       description : 'the rootfs mount directory')

option('log-path', type : 'string', value : 'log/lxc',
       description : 'the rootfs mount directory')

option('config-path', type : 'string', value : 'lib/lxc',
       description : 'the rootfs mount directory')

option('global-config', type : 'string', value : 'lxc/lxc.conf',
       description : 'the rootfs mount directory')

option('docdir', type : 'string',
       description : 'documentation directory')

option('user-network-conf', type : 'string', value : 'lxc/lxc-usernet',
       description : 'user network interface configuration file')

option('user-network-db', type : 'string', value : 'lxc/nics',
       description : 'user network database')

option('io-uring-event-loop', type : 'boolean', value: 'false',
       description : 'enable io-uring based event loop')
