## lxc 5.0.0~git2209-g5a7b9ce67

=== debian/changelog ===
lxc (1:5.0.0~git2209-g5a7b9ce67-0ubuntu1.1) jammy; urgency=medium

  [ Dave Jones ]
  * Fix the LXC_DEVEL value to be 0 (LP: #2039873)
    - d/p/0002-Set-DEVEL-flag-post-release.patch added to force this
      value in the autoconf script

  [ Alexander Mikhalitsyn ]
  * Added autopkgtest to ensure that LXC_DEVEL is always 0
    - debian/tests/no-devel: add "no-devel" autopkgtest script
    - debian/tests/control: declare "no-devel" autopkgtest

 -- Dave Jones <dave.jones@canonical.com>  Wed, 24 Jan 2024 16:26:06 +0000

lxc (1:5.0.0~git2209-g5a7b9ce67-0ubuntu1) jammy; urgency=medium

  * Pre-release snapshot of LXC 5.0 LTS (LP: #1967620)
    - New configuration keys:
      - lxc.cgroup.dir.monitor.pivot
      - lxc.cgroup.dir.monitor
      - lxc.cgroup.dir.container.inner
      - lxc.cgroup.dir.container
      - lxc.time.offset.boot
      - lxc.time.offset.monotonic
      - veth.n_rxqueues
      - veth.n_txqueues
      - veth.vlan.id
      - veth.vlan.tagged.id
  * Drop patches (now upstreamed):
    - 0002-lxc-checkconfig-Fix-bashism.patch
    - 0003-doc-Fix-reverse-allowlist-denylist.patch
  * Update lintian overrides for current lintian version
  * debian/control: Switch to debhelper-compat

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 05 Apr 2022 18:07:22 -0400

lxc (1:4.0.12-0ubuntu2) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:06:54 +0000

lxc (1:4.0.12-0ubuntu1) jammy; urgency=medium
  * Cherry-pick upstream bugfixes (stable-4.0):
    - 0002-lxc-checkconfig-Fix-bashism.patch
    - 0003-doc-Fix-reverse-allowlist-denylist.patch (LP: #1957934)

  * New upstream bugfix release (4.0.12):
    (https://discuss.linuxcontainers.org/t/lxc-4-0-12-has-been-released/13288)
    - Fixed CRIU restoration of containers with pre-created veth interfaces
    - Fixed issue with kernels lacking SMT support
    - Extended cgroup2 config options in lxc.mount.auto (cgroup2)
    - lxc-download now relies on HTTPS for validation (avoids GPG issues)

  * New upstream bugfix release (4.0.11)
    (LP: #1943441, LP: #1938771, LP: #1891903):
    (https://discuss.linuxcontainers.org/t/lxc-4-0-11-has-been-released/12427)
    - Core scheduling support (lxc.sched.core)
    - riscv64 support in lxc.arch
    - Significantly improved bash completion profile
    - Greater use of the new VFS mount API (when supported by the kernel)
    - Fix containers with empty network namespaces
    - Handle kernels that lack TIOCGPTPEER
    - Improve CPU bitmask/id handling (handle skipped CPU numbers)
    - Reworked the tests to run offline

  * Bump to debhelper 12 (allows focal SRUs)
  * Bump standards to 4.6.0.1
  * Add lintian overrides for incorrect bashism detection
  * Remove bash completion install logic (now done upstream)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 02 Feb 2022 20:48:39 -0500

lxc (1:4.0.10-0ubuntu5) impish; urgency=medium

  * d/t/exercise: Skip tests that are incompatible with cgroups v2
    (LP: #1943704)

 -- Lukas Märdian <slyon@ubuntu.com>  Fri, 17 Sep 2021 15:00:26 +0200

lxc (1:4.0.10-0ubuntu4) impish; urgency=medium

  * Cherry-pick upstream bugfixes (stable-4.0):
    - 0002-cgroups-populate-hierarchy-for-device-cgroup.patch
    - 0003-cgroups-remove-unneeded-variables-from-cgroup_tree_c.patch
    - 0004-lxc_setup_ttys-Handle-existing-ttyN-file-without-und.patch
    - 0005-bpf-bpf_devices_cgroup_supported-should-check-if-bpf.patch
    - 0006-conf-use-new-mount-api-for-devpts-setup.patch
    - 0007-terminal-ttyname_r-returns-an-error-number-on-failur.patch
    - 0008-conf-ensure-devpts_fd-is-set-to-EBADF.patch
    - 0009-Fix-typos.patch
    - 0010-conf-surface-failures-to-setup-console.patch
    - 0011-conf-set-source-property-for-devpts.patch
    - 0012-conf-attach-devpts-mount-directly-when-new-mount-api.patch
    - 0013-conf-s-lxc_setup_devpts_parent-lxc_recv_devpts_from_.patch
    - 0014-conf-use-a-relative-path-in-symlinkat.patch
    - 0015-conf-update-comment.patch
    - 0016-conf-add-and-use-mount_beneath_fd.patch
    - 0017-terminal-don-t-use-ttyname_r-for-native-terminal-all.patch
    - 0018-conf-merge-devpts-setup-and-move-before-pivot-root.patch
    - 0019-string_utils-cast-__s64-to-long-long-signed-int.patch
    - 0020-terminal-split-out-lxc_devpts_terminal-helper.patch
    - 0021-conf-move-lxc_create_ttys-before-pivot-root.patch
    - 0022-conf-stash-pty_nr-in-struct-lxc_terminal.patch
    - 0023-mount_utils-add-mount_fd.patch
    - 0024-conf-use-mount_fd-helper-when-mounting-ttys.patch
    - 0025-conf-use-mount_fd-in-lxc_setup_dev_console.patch
    - 0026-conf-use-mount_fd-during-console-mounting.patch
    - 0027-file_utils-add-open_at_same.patch
    - 0028-conf-rework-console-setup.patch
    - 0029-terminal-remove-unused-argument-from-lxc_devpts_term.patch
    - 0030-start-allow-containers-to-use-a-native-console.patch
    - 0031-conf-handle-kernels-without-TIOCGPTPEER.patch
    - 0032-terminal-move-native-terminal-allocation-from-error-.patch
    - 0033-terminal-fail-on-unknown-error-during-TIOCGPTPEER.patch
    - 0034-mount_utils-introduce-mount_at.patch
    - 0035-conf-fix-logging-in-lxc_idmapped_mounts_child.patch
    - 0036-conf-refactor-lxc_recv_ttys_from_child.patch
    - 0037-conf-log-failure-to-create-tty-mountpoint.patch
    - 0038-conf-let-parse_vfs_attr-handle-legacy-mount-flags-as.patch
    - 0039-mount_utils-make-some-mount-helpers-static-inline.patch
    - 0040-conf-allow-mount-options-for-rootfs-when-using-new-m.patch
    - 0041-tests-add-test-for-rootfs-mount-options.patch
    - 0042-network-fix-container-with-empty-network-namespaces.patch
    - 0043-lsm-apparmor-log-failure-to-write-AppArmor-profile.patch
    - 0044-lsm-apparmor-use-cleanup-macro.patch
    - 0045-doc-api-extensions-Grammar-fix.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 09 Aug 2021 13:45:59 -0400

lxc (1:4.0.10-0ubuntu3) impish; urgency=medium


