=== debian/tests/control ===
Tests: no-devel
Depends: liblxc-dev
Restrictions: allow-stderr

Tests: exercise
Depends: autoconf,
         busybox-static,
         cloud-image-utils,
         debootstrap,
         dirmngr,
         distro-info,
         lxcfs,
         uidmap,
         xz-utils,
         @builddeps@,
         @
Restrictions: needs-root allow-stderr isolation-machine
