=== debian/changelog ===
lxc (1:5.0.1-0ubuntu7) mantic; urgency=medium

  * Update apparmor profile to support new userns feature (LP: #2035315)
    - d/p/apparmor-userns.patch: Add userns permission to
      start-container abstraction and declare new 4.0 ABI in
      the usr.bin.lxc-start apparmor profile
    - debian/control: Declare Breaks on anything less than apparmor
      4.0.0~alpha2-0ubuntu4 for liblxc-common to ensure if apparmor is
      installed that it supports the new 4.0 ABI and add systemd-dev to
      Build-Depends to fix local build failure.

 -- Alex Murray <alex.murray@canonical.com>  Mon, 18 Sep 2023 13:28:16 +0930

lxc (1:5.0.1-0ubuntu6) lunar; urgency=medium

  * debian/control: add libcap-dev, libselinux1-dev, and libseccomp-dev to
    depends for liblxc-dev, to fix go-lxc autopktest failure.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 19 Jan 2023 17:53:14 -0600

lxc (1:5.0.1-0ubuntu5) lunar; urgency=medium

  * disable lxc-test-fuzzers - the test is failing to download external
    artifacts

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 17 Jan 2023 21:44:40 -0600

lxc (1:5.0.1-0ubuntu4) lunar; urgency=medium

  * Fix meson build in debian/tests/exercise: specify the rest of the
    required configuration parameters.
  * d/p/test-usernic-fixes:
    - drop the hunks dealing with cgroups.  lxc uses the systemd api
      to do that.
    - ifconfig is not available, use ip

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 16 Jan 2023 21:32:01 -0600

lxc (1:5.0.1-0ubuntu3) lunar; urgency=medium

  * fix meson reconfiguration usage: the build/ directory doesn't exist
    yet when tests/exercise runs, so use meson setup to create it.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Sun, 15 Jan 2023 22:53:15 -0600

lxc (1:5.0.1-0ubuntu2) lunar; urgency=medium

  * Fix autopkg tests to use meson instead of autoconf

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 10 Jan 2023 16:21:26 -0600

lxc (1:5.0.1-0ubuntu1) lunar; urgency=medium

  * Update to lxc-5.0.1 (using the orig tarball from debian)
  * d/p: add all patches up to current git master
  * d/control: add libsystemd-dev and meson
  * d/rules: follow guidance from daily packaging
  * remove d/.git-dpm
  * update paths in liblxc1.install and liblxc.lintian-overrides

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 16 Nov 2022 09:31:08 -0600

lxc (1:5.0.0~git2209-g5a7b9ce67-0ubuntu3) kinetic; urgency=medium

  * d/p/ppc64el-gcc12-warning.patch: refine the patch to be less brittle in
    case of upstream changes

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 07 Sep 2022 10:19:55 +0200

lxc (1:5.0.0~git2209-g5a7b9ce67-0ubuntu2) kinetic; urgency=medium

  * d/p/lp1987625/*.patch: cherry-picked to fix FTBFS against glibc 2.36
    (LP: #1987625)
  * d/p/ppc64el-gcc12-warning.patch: work around a false positive warning in
    GCC 12 on ppc64el due to it defaulting to -O3

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 26 Aug 2022 11:18:18 +0200
