=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: bash-completion,
-               debhelper (>= 12),
+               debhelper-compat (= 12),
                dh-apparmor,
                docbook2x,
                dpkg-dev (>= 1.16.1~) | hardening-wrapper,
@@ -13,8 +13,11 @@
                libpam0g-dev,
                libseccomp-dev,
                libselinux1-dev,
+	       libsystemd-dev,
                linux-libc-dev,
-               pkg-config
+               meson,
+               pkg-config,
+               systemd-dev
 Standards-Version: 4.6.0.1
 Homepage: https://linuxcontainers.org
 Vcs-Git: https://github.com/lxc/lxc-pkg-ubuntu
@@ -85,7 +88,8 @@
           lxc1 (<< 3.0.0~beta2-0ubuntu2~)
 Breaks: lxc-templates (<< 3.0.0~beta1-0ubuntu1~),
         lxc-utils (<< 1:4.0.0-0ubuntu1~),
-        lxc1 (<< 3.0.0~beta2-0ubuntu2~)
+        lxc1 (<< 3.0.0~beta2-0ubuntu2~),
+        apparmor (<< 4.0.0~alpha2-0ubuntu4~)
 Provides: lxc-common
 Description: Linux Containers userspace tools (common tools)
  Containers are insulated areas inside a system, which have their own namespace
@@ -99,7 +103,11 @@
 Package: liblxc-dev
 Section: libdevel
 Architecture: linux-any
-Depends: liblxc1 (= ${binary:Version}), ${misc:Depends}
+Depends: liblxc1 (= ${binary:Version}),
+         libcap-dev,
+         libseccomp-dev,
+         libselinux1-dev,
+         ${misc:Depends}
 Replaces: lxc-dev (<< 2.1.1-0ubuntu2~)
 Breaks: lxc-dev (<< 2.1.1-0ubuntu2~)
 Description: Linux Containers userspace tools (development)
