## lxc 5.0.2

=== debian/changelog ===
lxc (1:5.0.2-1+deb12u3) bookworm; urgency=medium

  * Cherry-pick upstream fix for null pointer dereference when using a shared
    rootfs (See #1085241)

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 03 Jan 2025 00:53:50 +0000

lxc (1:5.0.2-1+deb12u2) bookworm; urgency=medium

  * Cherry-pick upstream fix for creating ephemeral copies (See #1001713)

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 30 Nov 2023 01:17:33 +0000

lxc (1:5.0.2-1+deb12u1) bookworm; urgency=medium

  * Cherry-pick upstream "fix nftables syntax for IPv6 NAT" (Closes: #1049976)
  * Adjust branch in d/gbp.conf

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 22 Sep 2023 16:35:52 +0000

lxc (1:5.0.2-1) unstable; urgency=medium

  * New upstream release
    - Fixes CVE-2022-47952
    - Drop glibc 2.36 patch applied upstream
  * Bump Standards-Version in d/control (no changes needed)
  * Refresh d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 17 Jan 2023 02:53:00 +0000

lxc (1:5.0.1-2) unstable; urgency=medium

  * d/control:
    - Add myself to Uploaders
    - Bump Standards-Version (no changes needed)
    - Set minimum required meson version in Build-Depends (Closes: #1016523)
    - Update list of architectures missing libseccomp-dev
    - Add Rules-Requires-Root: binary-targets
  * Add myself to d/copyright
  * d/liblxc1.symbols:
    - Avoid build failure due to missing symbols on architectures without
      libseccomp-dev (Closes: #922545)
  * Drop d/patches/0006-adjust-pam-dir.patch and modify d/libpam-cgfs.install
    to directly install pam_cgfs.so
  * Cherry-pick upstream fixes for building with glibc 2.36 (Closes: #1023437)
  * Add d/upstream/metadata
  * Remove asterisk from NEWS file to silence lintian tag

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 04 Nov 2022 19:54:47 +0000

lxc (1:5.0.1-1) unstable; urgency=medium

  * Team upload

  [ Mathias Gibbens ]
  * New upstream release 5.0.1 (Closes: #1005099, #1010843, #1006353)
    - Switch to meson build system and update d/rules as needed
    - Update Build-Depends and Depends in d/control
    - Drop patches no longer needed / applied upstream
    - Add patch to fix installed location of libpam_cgfs.so
    - Update d/liblxc-common.lintian-overrides
    - Update d/liblxc1.symbols

  [ Antonio Terceiro ]
  * debian/rules: drop handling of bash completion links

  [ Pierre-Elliott Bécue ]
  * Apply Janitor's changes on d/control constraints.
  * Fix debian/liblxc1.symbols
  * d/p/0004: Add a patch to make systemd security features working in nesting
    apparmor profile.
    This can cause security risks in privileged containers, so it's only in
    nesting profile. (Closes: #995350)

 -- Mathias Gibbens <mathias@calenhad.com>  Mon, 01 Aug 2022 22:46:52 +0200

lxc (1:4.0.11-1) unstable; urgency=medium

  * Backporting changes from experimental to unstable
  * d/control: Move from Conflicts + Breaks to Breaks + Replaces

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 14 Feb 2022 00:22:35 +0100

lxc (1:4.0.11-1~exp4) experimental; urgency=medium

  * d/copyright: Clean the mess and extract as much as possible from the files
    in the repo (Closes: #1004978)
  * wrap-and-sort

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 04 Feb 2022 23:06:35 +0100

lxc (1:4.0.11-1~exp3) experimental; urgency=medium

  * d/control: Update the dependency of lxc from liblxc1 to liblxc-common.

 -- Pierre-Elliott Bécue <peb@debian.org>  Wed, 02 Feb 2022 22:37:20 +0100

lxc (1:4.0.11-1~exp2) experimental; urgency=medium

  * d/control:
    - Fix some architecture screwups on liblxc-common
  * d/{liblxc-common,lxc}.install: Move /usr/lib/*/lxc/rootfs to the former

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 29 Jan 2022 11:10:23 +0100

lxc (1:4.0.11-1~exp1) experimental; urgency=medium

  [ Pierre-Elliott Bécue ]
  * New upstream release 4.0.11
  * d/control:
    - Remove bridge-utils from lxc's dependencies and prioritize nftables over
      iptables as a firewalling dependency (Closes: #908050)
    - Bumps Standards-Version to 4.6.0
  * Create a new binary package liblxc-common to host the shared components
    needed by both bin:lxc and a potential future bin:lxd (Closes: #1002564)
  * d/liblxc1.symbols: updated
  * d/README.Debian: fix a misleading comment
  * d/copyright: updated years, and added missing copyright holders

  [ Antonio Terceiro ]
  * d/rules: re-enable installation of lxc-top (Closes: #1003591)

  [ Diederik de Haas ]
  * d/lxc.postinst: replace the use of which by a call to command -v

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 28 Jan 2022 20:23:34 +0100

lxc (1:4.0.10-2) unstable; urgency=medium

  [ Antonio Terceiro ]
  * debian/rules: re-enable installation of lxc-top (Closes: #1003591)
  * Drop dependency on bridge-utils (Closes: #1004733)
  * lxc-net: don't start by default inside lxc
  * autopkgtest: add basic create/destroy test

  [ Diederik de Haas ]
  * Replace deprecated 'which' with 'command -v'

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 02 Feb 2022 15:45:10 -0300

lxc (1:4.0.10-1) unstable; urgency=medium

  * New upstream version 4.0.10
    - Builds fine against autoconf 2.70 (Closes: #978862)
  * Refresh patches.
    0007-conf-fix-containers-retaining-CAP_NET_ADMIN.patch dropped, applied
    upstream.
  * Update debian/liblxc1.symbols

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 27 Aug 2021 09:15:30 -0300
