=== debian/tests/control ===
Tests: exercise
Depends: busybox-static,
         debootstrap,
         dirmngr,
         dnsmasq-base,
         file,
         gnupg,
         iptables,
         lsb-release,
         rsync,
         uidmap,
         xz-utils,
         @
Restrictions: needs-root allow-stderr isolation-machine

Tests: unprivileged-containers
Depends: distro-info, uidmap, wget, @
Restrictions: allow-stderr, isolation-machine, needs-internet

Tests: basics-create-destroy
Depends: @, busybox-static
Restrictions: allow-stderr, needs-root, superficial
